Subject: Re: [patch] e1000=y && e1000e=m regression fix

From: "Kok, Auke" <[email-masked]>
Date: Fri, 11 Apr 2008 10:26:05 -0700

Christoph Hellwig wrote:
> On Fri, Apr 11, 2008 at 09:22:56AM -0700, Kok, Auke wrote:
>> You don't provide a solution, nor does anyone, and I don't see any solution to
>> what you want but to completely cancel this driver split.
>>
>> And I'm _not_ going to do that.
> 
> As a start we could do two driver keyed off a single Kconfig variable.
> And then find a way to get users informed that they might need to
> enabled the other one

This is probably the ugliest way to do it, but I just checked and if E1000=m then
automatically becomes E1000E=m etc.

Using 'default' will not work as people will misunderstand the issue and disable
e1000e anyway, while they often need e1000e instead of e1000.

Yes, this does mean that it's impossible to have e1000 but not enable e1000e, but
given the threads I think this is becoming more reasonable then ever for this
particular issue.

---
e1000e: select automatically if e1000 is enabled

This terrible Kconfig hack prevents most people from accidentally forgetting to
enable e1000e where appropriate - just enable it by default. This patch should be
removed once e1000e merge is done and settled.

Signed-off-by: Auke Kok <[email-masked]>
---

diff --git a/drivers/net/Kconfig b/drivers/net/Kconfig
index ec764a9..19b5b2b 100644
--- a/drivers/net/Kconfig
+++ b/drivers/net/Kconfig
@@ -1968,6 +1968,7 @@ config DL2K
 config E1000
 	tristate "Intel(R) PRO/1000 Gigabit Ethernet support"
 	depends on PCI
+	select E1000E
 	---help---
 	  This driver supports Intel(R) PRO/1000 gigabit ethernet family of
 	  adapters.  For more information on how to identify your adapter, go